cgSetParameterSemantic(3)

NAME
cgSetParameterSemantic - set a program parameter's semantic

SYNOPSIS
  #include <Cg/cg.h>
  void cgSetParameterSemantic( CGparameter param,
                               const char * semantic );

PARAMETERS

param
    The program parameter.

semantic
    The semantic.

RETURN VALUES
None.

DESCRIPTION
cgSetParameterSemantic allows the application to set the semantic of a parameter in a Cg program.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

CG_INVALID_PARAMETER_ERROR is generated if param is not a leaf node, or if the semantic string is NULL.

HISTORY
cgSetParameterSemantic was introduced in Cg 1.2.

SEE ALSO
the cgGetParameterResource manpage, the cgGetParameterResourceIndex manpage, the cgGetParameterName manpage, the cgGetParameterType manpage